﻿@model OWebApplication.Models.AuthController.RegistrationModel
@{
    ViewBag.PageTitle = Localizer["Реєстрація"].Value;
    Layout = "~/Shared/ControllerLayout.cshtml";
}

<style>
    html, body { height: 100%; }
    body {
        display: flex;
        justify-content: center;
        overflow-y: auto;
    }
    
    div#auth-card { width: 90%; height: auto !important; }
    
    @@media (min-width: 768px) {
        div#auth-card { width: 400px; }
    }
</style>

<div class="py-4" id="auth-card">
    <div class="card align-self-center">
        <div class="card-body">
            <h5 class="card-title mb-3">
                <i class="fas fa-people-carry"></i>
                <span>@Localizer["Реєстрація студента"]</span>
            </h5>
    
            <form method="post" asp-controller="Auth" asp-action="Registration" asp-route-joinToken="@Model.JoinToken">
                @Html.AntiForgeryToken()
                
                <div class="mb-3">
                    <div class="form-floating m-0">
                        <input asp-for="FullName" class="form-control" placeholder="@Localizer["Франко Іван Якович"]">
                        <label asp-for="FullName">@Localizer["Ваше повне ім'я"]</label>
                    </div>
                    <div class="form-text text-danger">@Html.ValidationMessageFor(m => m.FullName)</div>
                </div>
    
                <div class="mb-3">
                    <div class="form-floating m-0">
                        <input asp-for="Email" class="form-control" placeholder="@Localizer["ivan.franko@example.com"]">
                        <label asp-for="Email">@Localizer["Електронна пошта"]</label>
                    </div>
                    <div class="form-text text-danger">@Html.ValidationMessageFor(m => m.Email)</div>
                </div>
    
                <div class="mb-3">
                    <div class="form-floating m-0">
                        <input asp-for="Password" class="form-control" placeholder="@Localizer["***********"]">
                        <label asp-for="Password">@Localizer["Вигадайте складний пароль"]</label>
                    </div>
                    <div class="form-text text-danger">@Html.ValidationMessageFor(m => m.Password)</div>
                </div>
    
                <div class="mb-3">
                    <div class="form-floating m-0">
                        <input asp-for="PasswordRepeat" class="form-control" placeholder="@Localizer["***********"]">
                        <label asp-for="PasswordRepeat">@Localizer["Повторіть введення паролю"]</label>
                    </div>
                    <div class="form-text text-danger">@Html.ValidationMessageFor(m => m.PasswordRepeat)</div>
                </div>
    
                <div class="mb-3">
                    <div class="form-floating m-0">
                        <input asp-for="JoinToken" class="form-control" placeholder="@Localizer["Я люблю Overtest!"]">
                        <label asp-for="JoinToken">@Localizer["Код запрошення"]</label>
                    </div>
                    <div class="form-text text-danger">@Html.ValidationMessageFor(m => m.JoinToken)</div>
                </div>
                
                @* Actions button group *@
                <div class="d-grid">
                    <div class="btn-group">
                        <button class="btn btn-light btn-lg border" type="submit">
                            <i class="fas fa-user-check"></i>
                            <span>@Localizer["Зареєструватися"]</span>
                        </button>
                        <button type="button" class="btn btn-lg btn-light border dropdown-toggle dropdown-toggle-split"
                                style="max-width: 50px;" data-bs-toggle="dropdown"></button>
                        <ul class="dropdown-menu dropdown-menu-end">
                            <li><a class="dropdown-item" asp-controller="Auth" asp-action="Authorization">
                                <i class="fas fa-chevron-circle-left"></i>
                                <span>@Localizer["Маєте обліковий запис?"]</span>
                            </a></li>
                        </ul>
                    </div>
                </div>
                @* /Actions button group *@
            </form>
        </div>
    </div>
</div>